<div id="battleModal"class="modal" tabindex="-1" role="dialog">
  <div class="modal-dialog " style="max-width: 69vw;" role="document">
    <div class="modal-content">

      <div class="modal-body" style="padding:1rem 0">

<div id="backgroundpicture">
  <h1>Battle Ground</h1>
<<<<<<< HEAD
  <h2 *ngIf="oHealth<=0" id="win-logo"><p> {{winMessage}}</p>
    <button (click)="endMatch()" class="btn btn-primary" data-bs-dismiss="modal" data-bs-target="#battleModal">Return</button>
  </h2>
  <h2 *ngIf="pHealth<=0" id="lose-logo"><p>{{loseMessage}}</p>
    <button (click)="endMatch()" class="btn btn-primary" data-bs-dismiss="modal" data-bs-target="#battleModal">Return</button>
  </h2>
=======
  <h2 *ngIf="oHealth<=0" id="win-logo">{{winMessage}}</h2>
  <h2 *ngIf="pHealth<=0" id="lose-logo">{{loseMessage}}</h2>
  <div *ngIf="oHealth<=0||pHealth<=0" id="return">
    <a routerLink="/home"><button type="button" data-bs-dismiss="modal" data-bs-target="#battleModal">return</button></a>
  </div>
>>>>>>> ff5427a44e06dd3b8beb2e405b65fbbbd6b2ca6d
  <div>
    <div class="row">
      <div class="col-sm">
        <div class="progress" id="userhealth">
          <div class="progress-bar bg-success" role="progressbar" [style.width.%]="pHealth"  [attr.aria-valuenow]="playerHealth"  [attr.aria-valuemin]="0" [attr.aria-valuemax]="playerPokemon"></div>
        </div>
        <img id="playersprite" [src]="playerPokemon.opp_sprite">
      </div>
      <div class="col-sm">
        <div class="progress" id="opponenthealth">
          <div class="progress-bar bg-success" role="progressbar" [style.width.%]="oHealth"  [attr.aria-valuenow]="opponentHealth"  [attr.aria-valuemin]="0" [attr.aria-valuemax]="opponentPokemon"></div>
        </div>
            <img id="opponentsprite" [src]="opponentPokemon.opp_sprite">
      </div>
    </div>
  </div>
</div>


      </div>
      <div   style ="height: 3.5vw; width:62vw;" class="modal-footer">
        <p  style="font-family: 'Press Start 2P', cursive; margin-right:10vw">{{battlePrompt}}</p>
        <div ngbDropdown  placement="top-left" class="dropup">
          <button [attr.disabled]="turn? null:true" id="dropdownBasic1" ngbDropdownToggle><img id="fight" type="button" [src]="fightButton" style="width:5vw"></button>
          <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownBasic1" ngbDropdownMenu>
              <button class="dropdown-item" (click)="playerAttack(playerPokemon?.move1!)">{{playerPokemon?.move1?.name}}</button>
              <button class="dropdown-item" (click)="playerAttack(playerPokemon?.move2!)">{{playerPokemon?.move2?.name}}</button>
              <button class="dropdown-item" (click)="playerAttack(playerPokemon?.move3!)">{{playerPokemon?.move3?.name}}</button>
              <button class="dropdown-item" (click)="playerAttack(playerPokemon?.move4!)">{{playerPokemon?.move4?.name}}</button>
          </div>
      </div>
        <a routerLink="/home"><img id="run" type="button" [src]="runButton" data-bs-dismiss="modal" data-bs-target="#battleModal"></a>
      </div>
    </div>
  </div>
</div>
